Create Schedule

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/schedule

This endpoint creates a dataset synchronization schedule. Provide the start time, timezone, active state, frequency quantity, and frequency unit as needed. The schedule type, subtype, and task are internal properties and cannot be supplied through the standard create endpoint.

Request parametersResponse schema
Expand all Reset
properties *OBJECTrequired

Writable properties for creating a dataset synchronization schedule. Schedule type, subtype, and task are managed internally and cannot be supplied through this endpoint.

started_at DATETIME
frequency_quantity NUMBER
frequency_unit STRING
timezone STRING
active BOOLEAN
Can be executed by:
Logged-in User
Can be associated to:
Alert
Securable
User
Did this page help you?
Yes No
Language
Shell
Node
Java
.NET
Python
PHP
Install
npm install @luzmo/nodejs-sdk
Example Response
200
400
500
{
  "id": "29db3c0e-be2b-488b-9b54-d1d9ae9dff3a",
  "task": null,
  "started_at": "2017-08-30T14:30:15Z",
  "frequency_quantity": 1,
  "frequency_unit": "day",
  "retries": 0,
  "active": true,
  "completed_at": "2018-09-03T12:38:18.614Z",
  "created_at": "2018-09-03T12:38:18.630Z",
  "updated_at": "2018-09-03T12:38:18.656Z",
  "last_execution_status": "completed",
  "last_execution_error": null,
  "last_execution_warning": null,
  "user_id": "b0d76f5d-f3da-4c55-9497-d8457ccdccda",
  "securable_id": "b3cfbfc2-a9c0-48e3-b726-b93bdb569bfa",
  "scheduled_at": "2018-09-04T12:38:18.614Z",
  "timezone": "Europe/Brussels"
}